<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__i2c__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_i2c_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__i2c__t_1a0929625ac8253a070d2edb3cc3c1bd4e" kind="variable" mutable="no" prot="public" static="no">
        <type>CySCB_Type *</type>
        <definition>CySCB_Type* cyhal_i2c_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="354" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="354" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1a34241849f682fd5bee4f6b7be9c5e44d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_i2c_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="355" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="355" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1ab6d7b3f033a28dd9589d765d3c12e758" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_i2c_t::pin_sda</definition>
        <argsstring />
        <name>pin_sda</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="356" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="356" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1ae48ab483971698a3695c2145e1eafe28" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_i2c_t::pin_scl</definition>
        <argsstring />
        <name>pin_scl</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="357" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="357" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1aba31f83dc1b34b7adef74c7828892156" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_i2c_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="358" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="358" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1ad927263ef78c2fca8f05a0a2bcfe4dc3" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_i2c_t::is_shared_clock</definition>
        <argsstring />
        <name>is_shared_clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="359" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="359" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1aa56649f560fd041a0b1303921e2ba3fa" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_i2c_context_t</type>
        <definition>cy_stc_scb_i2c_context_t cyhal_i2c_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="360" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="360" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1a43ab6f2f527440a244846ee58b1e903d" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_i2c_master_xfer_config_t</type>
        <definition>cy_stc_scb_i2c_master_xfer_config_t cyhal_i2c_t::rx_config</definition>
        <argsstring />
        <name>rx_config</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="361" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="361" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1aace0bcce15d6519d9d7edf4470719b68" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_i2c_master_xfer_config_t</type>
        <definition>cy_stc_scb_i2c_master_xfer_config_t cyhal_i2c_t::tx_config</definition>
        <argsstring />
        <name>tx_config</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="362" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="362" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1ab603bff9673ba097723feebcb95107d4" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_i2c_t::is_slave</definition>
        <argsstring />
        <name>is_slave</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="363" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="363" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1a1f7b4087fcc65fadd219cc056620857b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_i2c_t::address</definition>
        <argsstring />
        <name>address</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="364" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="364" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1a74a6c300ca7a9aab30886a343e1c6d19" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_i2c_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="365" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="365" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1ade05e50ecdc505da34ca7a0cc190d7fd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cyhal_i2c_t::pending</definition>
        <argsstring />
        <name>pending</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="366" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="366" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1afa9f049ebdc491d46985c81ff80cb4e8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cyhal_i2c_t::events</definition>
        <argsstring />
        <name>events</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="367" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="367" />
      </memberdef>
      <memberdef id="structcyhal__i2c__t_1aaaab9b7e79c057162b0f000e0502295c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_i2c_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="368" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="368" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>I2C object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="70">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="69">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
      <node id="68">
        <label>cyhal_i2c_t</label>
        <link refid="structcyhal__i2c__t" />
        <childnode refid="69" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="70" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="372" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="352" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="352" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__i2c__t_1a1f7b4087fcc65fadd219cc056620857b" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>address</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1a0929625ac8253a070d2edb3cc3c1bd4e" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1aaaab9b7e79c057162b0f000e0502295c" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1aba31f83dc1b34b7adef74c7828892156" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1aa56649f560fd041a0b1303921e2ba3fa" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>context</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1afa9f049ebdc491d46985c81ff80cb4e8" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>events</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1a74a6c300ca7a9aab30886a343e1c6d19" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1ad927263ef78c2fca8f05a0a2bcfe4dc3" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>is_shared_clock</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1ab603bff9673ba097723feebcb95107d4" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>is_slave</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1ade05e50ecdc505da34ca7a0cc190d7fd" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>pending</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1ae48ab483971698a3695c2145e1eafe28" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>pin_scl</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1ab6d7b3f033a28dd9589d765d3c12e758" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>pin_sda</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1a34241849f682fd5bee4f6b7be9c5e44d" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>resource</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1a43ab6f2f527440a244846ee58b1e903d" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>rx_config</name></member>
      <member prot="public" refid="structcyhal__i2c__t_1aace0bcce15d6519d9d7edf4470719b68" virt="non-virtual"><scope>cyhal_i2c_t</scope><name>tx_config</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>